Bug 177393 - need TamilNet99 map
Summary: need TamilNet99 map
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: m17n-db   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature, i18n
Depends On:
Blocks: Indic
TreeView+ depends on / blocked
 
Reported: 2006-01-10 09:47 UTC by Jens Petersen
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-14 13:22:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2006-01-10 09:47:49 UTC
Description of problem:
The scim-tables for Tamil need to be ported to m17n-db.

Comment 1 Jens Petersen 2006-02-17 01:24:50 UTC
Also we need a Tamil99 map: it is the standard layout of the
Tamil Nadu State Government.

There is a gtkimm for it:
http://tamillinux.sourceforge.net/projects/project/gtk2tamilim/
but the code does not look useful: long series of case statements
and it is not GPL/LGPL.

Comment 2 Jens Petersen 2006-02-17 01:33:07 UTC
This is the TamilNet99 layout:
http://www.tamilvu.org/Tamilnet99/keystand.htm

Note the scim-tables maps have been ported to m17n-db btw
though the phonetic map is not working correctly yet.

Comment 3 Jens Petersen 2006-02-22 09:48:36 UTC
ifelix, can you help me getting the tamil99 map ready?

Comment 4 Jens Petersen 2006-02-22 09:49:44 UTC
I have a fix for the phonetic map btw.

Comment 5 Jens Petersen 2006-03-01 15:34:41 UTC
Felix, thanks for the tamil99 map - I converted it to m17n-db format
and it is in m17n-db-1.3.3-1.  Please check if it is ok.

Comment 6 Felix 2006-03-10 06:58:36 UTC
Hi,

In Tamil nadu most of the people using Tamil Typewriter layout(To Professional
Type writer), Then ordinary users prefers Transliteration, And Govt standard is
Tamil'99. I didn't find anybody using Inscript. Here I didn't find Tamil type
writer layout. It is very important. 

Comment 7 Felix 2006-03-10 07:00:47 UTC
(In reply to comment #5)
> Felix, thanks for the tamil99 map - I converted it to m17n-db format
> and it is in m17n-db-1.3.3-1.  Please check if it is ok.

Give me some time. I 'll check and tell u.

Comment 8 Felix 2006-03-10 07:16:00 UTC
Find the Type writer layout in the follwing URL

http://www.tamilanjal.com/usage/kbdtyp.htm

Comment 9 Jens Petersen 2006-03-10 07:29:56 UTC
Transliteration is that same as the itrans layout?

Ok, could you generate a text file with the typewriter layout and
attach it here and I can convert it to m17n .mim syntax.

Comment 10 Jens Petersen 2006-03-10 14:29:48 UTC
Ok please a separate bug for the typewriter map.  Thanks.

Comment 11 Satyabrata Maitra 2006-03-14 13:22:31 UTC
Tested on m17-db-tamil-1.3.3-1
The keymap is imported and appearing accurately.
The characters are appearing and showing properly.


Note You need to log in before you can comment on or make changes to this bug.